Library Version 18.1.40

DB_ENV->get_mp_mtxcount()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_mp_mtxcount()

    #include <db.h>

    int
    DB_ENV->get_mp_mtxcount(DB_ENV *dbenv, u_int32_t *mtxcount);

The `DB_ENV->get_mp_mtxcount()` method returns the number of mutexes allocated for the hash table in the buffer pool.

### Parameters

#### mtxcount

This parameter specifies the number of mutexes allocated for the hash table in the buffer pool.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->set_mp_mtxcount()

Prev | Up | Next
DB_ENV->get_mp_mmapsize() | Home | DB_ENV->get_mp_pagesize()